package com.example.afrishop_v3.models;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Transient;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 实体
 * 表名 activity
 *
 * @author lipengjun
 * @date 2020-11-28 16:30:49
 */

@Entity
public class Activity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     * 活动ID
     */
    @Id
    private String id;
    /**
     * 活动名称
     */
    private String name;
    /**
     * 活动类型 1：满减 2：满折 3：满几件打折
     */
    private Integer type;
    /**
     * 使用类型 1：全场 2：分类商品 3：特定商品
     */
    private Integer useType;
    /**
     * 商品分类ID
     */
    private String categoryId;
    /**
     * 活动图片
     */
    private String picture;
    /**
     * 满减金额
     */
    private BigDecimal fullAmount;
    /**
     * 抵扣金额
     */
    private BigDecimal reducedAmount;
    /**
     * 折扣率
     */
    private Double discountRate;
    /**
     * 商品IDS
     */
    private String itemIds;
    /**
     * 活动状态 0：关闭 1：开启
     */
    private Integer status;
    /**
     * 活动开始时间
     */
    private Date startTime;
    /**
     * 活动结束时间
     */
    private Date endTime;
    /**
     * 创建时间
     */
    private Date createTime;
    /**
     * 更新时间
     */
    private Date updateTime;

//    @Transient
//    private List<TbCfStationItem> itemList;

    /**
     * 设置：活动ID
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 获取：活动ID
     */
    public String getId() {
        return id;
    }

    /**
     * 设置：活动名称
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 获取：活动名称
     */
    public String getName() {
        return name;
    }

    /**
     * 设置：活动类型 1：满减 2：满折 3：满几件打折
     */
    public void setType(Integer type) {
        this.type = type;
    }

    /**
     * 获取：活动类型 1：满减 2：满折 3：满几件打折
     */
    public Integer getType() {
        return type;
    }

    /**
     * 设置：使用类型 1：全场 2：分类商品 3：特定商品
     */
    public void setUseType(Integer useType) {
        this.useType = useType;
    }

    /**
     * 获取：使用类型 1：全场 2：分类商品 3：特定商品
     */
    public Integer getUseType() {
        return useType;
    }

    /**
     * 设置：商品分类ID
     */
    public void setCategoryId(String categoryId) {
        this.categoryId = categoryId;
    }

    /**
     * 获取：商品分类ID
     */
    public String getCategoryId() {
        return categoryId;
    }

    /**
     * 设置：活动图片
     */
    public void setPicture(String picture) {
        this.picture = picture;
    }

    /**
     * 获取：活动图片
     */
    public String getPicture() {
        return picture;
    }

    /**
     * 设置：满减金额
     */
    public void setFullAmount(BigDecimal fullAmount) {
        this.fullAmount = fullAmount;
    }

    /**
     * 获取：满减金额
     */
    public BigDecimal getFullAmount() {
        return fullAmount;
    }

    /**
     * 设置：抵扣金额
     */
    public void setReducedAmount(BigDecimal reducedAmount) {
        this.reducedAmount = reducedAmount;
    }

    /**
     * 获取：抵扣金额
     */
    public BigDecimal getReducedAmount() {
        return reducedAmount;
    }

    /**
     * 设置：折扣率
     */
    public void setdiscountRate(Double discountRate) {
        this.discountRate = discountRate;
    }

    /**
     * 获取：折扣率
     */
    public Double getdiscountRate() {
        return discountRate;
    }

    /**
     * 设置：商品IDS
     */
    public void setItemIds(String itemIds) {
        this.itemIds = itemIds;
    }

    /**
     * 获取：商品IDS
     */
    public String getItemIds() {
        return itemIds;
    }

    /**
     * 设置：活动状态 0：关闭 1：开启
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * 获取：活动状态 0：关闭 1：开启
     */
    public Integer getStatus() {
        return status;
    }

    /**
     * 设置：活动开始时间
     */
    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    /**
     * 获取：活动开始时间
     */
    public Date getStartTime() {
        return startTime;
    }

    /**
     * 设置：活动结束时间
     */
    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    /**
     * 获取：活动结束时间
     */
    public Date getEndTime() {
        return endTime;
    }

    /**
     * 设置：创建时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 获取：创建时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 设置：更新时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 获取：更新时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }



    public Double getDiscountRate() {
        return discountRate;
    }

    public void setDiscountRate(Double discountRate) {
        this.discountRate = discountRate;
    }


}
